#!/system/bin/sh
# Please don't hardcode /magisk/modname/... ; instead, please use $MODDIR/...
# This will make your scripts compatible even if Magisk change its mount point in the future
MODDIR=${0%/*}

# This script will be executed in post-fs-data mode
# More info in the main Magisk thread

RESETPROP="resetprop -v -n"

# VENDOR_DATE=$(getprop ro.vendor.build.date)
# VENDOR_UTC=$(getprop ro.vendor.build.date.utc)
FINGERPRINT=$(getprop ro.vendor.build.fingerprint)

[ "$FINGERPRINT" != "" ] && $RESETPROP "ro.build.fingerprint" "$FINGERPRINT"


